/**
   @file     bpm_units.h
   @ingroup  general
   @brief    Physical unit definitions for libbpm
*/

#ifndef BPMUNITS_H__
#define BPMUNITS_H__

/* -----------------------------------------------------------------------------
// includes
// -------------------------------------------------------------------------- */
#include <bpm/bpm_defs.h>

/* -----------------------------------------------------------------------------
// macro definitions
// -------------------------------------------------------------------------- */
#define  Hz 1.0
#define kHz 1.0E+3
#define MHz 1.0E+6
#define GHz 1.0E+9

#define  sec 1.0
#define msec 1.0E-3
#define usec 1.0E-6
#define nsec 1.0E-9

#define  eV 1.0
#define keV 1.0E+3
#define MeV 1.0E+6
#define GeV 1.0E+9

#define  rad 1.0
#define mrad 1.0E-3
#define urad 1.0E-6
#define nrad 1.0E-9

#define degrees (PI/180.)

#define mC 1.0E-3
#define uC 1.0E-6
#define nC 1.0E-9
#define pC 1.0E-12

#define meter  1.0
#define mmeter 1.0E-3
#define umeter 1.0E-6
#define nmeter 1.0E-9

#define Volt  1.0
#define mVolt 1.0E-3
#define nVolt 1.0E-6

#define cLight 2.99792458e8*meter/sec


/* -----------------------------------------------------------------------------
// typedefs, enums and other declarations
// -------------------------------------------------------------------------- */


/* -----------------------------------------------------------------------------
// function prototypes and declarations
// -------------------------------------------------------------------------- */


#endif /* #ifndef BPMUNITS_H_LOADED */
/* ================================ end of file ============================= */
