/**
   @file
   @ingroup calib
*/
#include <bpm/bpm_messages.h>
#include <bpm/bpm_calibration.h>

int load_calibration( char *fname, bpmconf_t *bpm, bpmcalib_t *cal, int num_bpms ) {

  if ( ! cal || ! fname ) {
    bpm_error( "Invalid pointer arguments in calibrate(...)",
               __FILE__, __LINE__ );
    return BPM_FAILURE;
  }

  int i;

  // Load in the given calibration
  FILE *f = fopen( fname, "r" );
  if ( ! f ) {
    char buf[255];
    printf("Unable to load calibration \"%s\" in load_calibration(...)", fname );
    bpm_error( buf, __FILE__, __LINE__ );
    return BPM_FAILURE;
  }

  char line[255];
  char *tok;
  int idx;

  for (i = 0; i < num_bpms; i++) {
    fgets( line, 255, f );

    tok = strtok( line, " " );
    idx = atoi( strtok( NULL, " " ) );

    cal[idx].freq = atof( strtok( NULL, " " ) );
    cal[idx].tdecay = atof( strtok( NULL, " " ) );
    cal[idx].ddcfiltBW = atof( strtok( NULL, " " ) );
    cal[idx].ddcepsFilt = atof( strtok( NULL, " " ) );
    cal[idx].t0Offset = atof( strtok( NULL, " " ) );
    cal[idx].IQphase = atof( strtok( NULL, " " ) );
    cal[idx].posscale = atof( strtok( NULL, " " ) );
    cal[idx].slopescale = atof( strtok( NULL, " " ) );
  }

  return BPM_SUCCESS;
}


