/**
   @file
   @ingroup processing
*/
#include <stdio.h>
#include <stdlib.h>

#include <bpm/bpm_messages.h>
#include <bpm/bpm_process.h>

/**
   Cast int waveform values into double waveform values
   
   @param *wf_double waveform double
   @param *wf_int    waveform int
   @param  ns        the number of samples
   
   @return BPM_SUCCESS upon success, BPM_FAILURE upon failure
*/
int int_to_double_waveform( double *wf_double, int *wf_int, int ns) {

  int i;
  
  if ( ! wf_int  || ! wf_double ) {
    bpm_error( "Invalid waveform pointers in int_to_double_waveform(...)",
	       __FILE__, __LINE__ );
    return BPM_FAILURE;
  }

  for( i=0; i<ns; i++ ) { 
    wf_double[i] = (double)wf_int[i];
  }

  return BPM_SUCCESS;
}


