/**
   @file
   @ingroup sim
*/
#include <bpm/bpm_messages.h>
#include <bpm/bpm_simulation.h>
#include <math.h>
#include <bpm/bpm_nr.h>

/**
   Calculate the response of a dipole signal given an incoming bunch   
   @param bunchcharge The charge of the bunch (in nC)
   @param bunchlength The length of the bunch (in mm)
   @param chargesens The charge sensitivty of the BPM (V/nC)
   @param Amp the complex amplitude of the waveform at the arrival time
*/
int get_monopole_amp( double bunchcharge, double bunchlength,
                      double chargesens, complex_t *Amp ){

  Amp->re = (-1) * chargesens * bunchcharge;
  Amp->im = 0;

  return BPM_SUCCESS;
}

// end of file
